Index: tests/regression/Bond/Add/post/test_multiple.pdb
===================================================================
--- tests/regression/Bond/Add/post/test_multiple.pdb	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
+++ tests/regression/Bond/Add/post/test_multiple.pdb	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
@@ -0,0 +1,8 @@
+REMARK created by molecuilder on Wed Jan 28 21:45:49 2015, time step 0
+ATOM      1 H01 0non 01          0.000   0.000   0.000  0.00  0.00           O 0
+ATOM      2 H01 0wat 01          0.759   0.000   0.504  0.00  0.00           H 0
+ATOM      3 H02 0non 01          0.759   0.000  -0.504  0.00  0.00           H 0
+CONECT    1    2    3                                                           
+CONECT    2    1    3                                                           
+CONECT    3    1    2                                                           
+END
Index: tests/regression/Bond/Add/pre/test_multiple.pdb
===================================================================
--- tests/regression/Bond/Add/pre/test_multiple.pdb	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
+++ tests/regression/Bond/Add/pre/test_multiple.pdb	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
@@ -0,0 +1,5 @@
+REMARK created by molecuilder on Thu Apr 12 18:16:56 2012, time step 0
+ATOM      1 H01 0non 01          0.000   0.000   0.000  0.00  0.00           O 0
+ATOM      2 H01 0wat 01          0.759   0.000   0.504  0.00  0.00           H 0
+ATOM      3 H02 0non 01          0.759   0.000  -0.504  0.00  0.00           H 0
+END
Index: tests/regression/Bond/Add/testsuite-bond-add.at
===================================================================
--- tests/regression/Bond/Add/testsuite-bond-add.at	(revision f63e41b6a0ddb762209a7c4ba24753bc9ceb33a2)
+++ tests/regression/Bond/Add/testsuite-bond-add.at	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
@@ -19,29 +19,29 @@
 
 AT_SETUP([Bond - adding bond])
-AT_KEYWORDS([bond add-bond])
+AT_KEYWORDS([bond add-bonds])
 file=test.pdb
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
 AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bond], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bonds], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
 
 AT_SETUP([Bond - adding bond with Undo])
-AT_KEYWORDS([bond add-bond undo])
+AT_KEYWORDS([bond add-bonds undo])
 file=test.pdb
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
 AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bond --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/pre/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bonds --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
 
 AT_SETUP([Bond - adding bond with Redo])
-AT_KEYWORDS([bond add-bond redo])
+AT_KEYWORDS([bond add-bonds redo])
 file=test.pdb
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
 AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bond --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-atom-by-id 0 1 --add-bonds --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
Index: tests/regression/Bond/Add/testsuite-bond-add_multiple.at
===================================================================
--- tests/regression/Bond/Add/testsuite-bond-add_multiple.at	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
+++ tests/regression/Bond/Add/testsuite-bond-add_multiple.at	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
@@ -0,0 +1,47 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### add bond
+
+AT_SETUP([Bond - adding multiple bond])
+AT_KEYWORDS([bond add-bonds])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-all-atoms --add-bonds], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - adding multiple bond with Undo])
+AT_KEYWORDS([bond add-bonds undo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-all-atoms --add-bonds --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - adding multiple bond with Redo])
+AT_KEYWORDS([bond add-bonds redo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/Add/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o pdb --select-all-atoms --add-bonds --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/Add/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
